
Figure - Bug #118263
【IOVDEV-30671】【自动化测试】【稳定性测试】【VC1】【副屏】副屏重启（自动化组台架1）-118634
（IOVDEV-33351）跟踪
2023-05-26 11:08 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【重启时间】：2023/5/25 19：30左右

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 20000+，怀疑system_srever被kill掉，安卓重启

【测试场景】：预置应用+4个三方应用

【VIN】：HRYTTESTVINMGM468

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

全量log：https://ofs.human-horizons.com/#/download/index/Vl%2FNF%2BaQ0EY%3D

History

#1 - 2023-05-26 11:16 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118263/5_26_.7z
https://ofs.human-horizons.com/#/download/index/Vl%2FNF%2BaQ0EY%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118263/5_26_.7z


#2 - 2023-05-26 17:35 - CD SYSTEM-胡兵

【重启时间】：2023/5/25 19：30左右

提供的日志为0526 09：30左右的，未导出历史日志，已与王成沟通，待提供日志

#3 - 2023-05-27 12:08 - CDTS_TEST 王成

使用 HRYTTESTVINMGM468 车驾号在云日志平台未搜到25号整天日志，已回复客户再次复现

#4 - 2023-05-29 15:06 - CD SYSTEM-胡兵

- Status changed from New to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成

#5 - 2023-05-30 18:22 - CD TPM-王祥林

解决system server重启的方案如下：

1.tlog内存占用异常的时候主动kill，防止内存溢出。

2.及时销毁SurfaceFlinger创建的layer，防止超过系统限制时crash。

已合入版本106

#6 - 2023-06-01 23:12 - CDTS-TEST 周婷

- Category changed from BSP to 重启

#7 - 2023-06-25 16:36 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-30671】【自动化测试】【稳定性测试】【VC1】【副屏】副屏重启（自动化组台架1） to 【IOVDEV-30671】【自动化

测试】【稳定性测试】【VC1】【副屏】副屏重启（自动化组台架1）-118634（IOVDEV-33351）跟踪

- Status changed from NEED_INFO to RESOLVED

转到118634（IOVDEV-33351）一起跟踪，此票关闭

#8 - 2023-06-25 16:36 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-25 16:37 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
